# webdeploy-cookbook

TODO: Enter the cookbook description here.

## Supported Platforms

Windows

## Attributes

- [Attributes](#attributes)
- [Resource/Provider](#resourceprovider)

  - [iis_root](#iis_root) Allows for easy management of the IIS Root Machine settings
  - [iis_site](#iis_site) Allows for easy management of IIS virtual sites (ie vhosts).
  - [iis_config](#iis_config) Runs a config command on your IIS instance.
  - [iis_pool](#iis_pool) Creates an application pool in IIS.
  - [iis_app](#iis_app) Creates an application in IIS.
  - [iis_vdir](#iis_vdir) Allows easy management of IIS virtual directories (i.e. vdirs).
  - [iis_section](#iis_section) Allows for the locking/unlocking of application web.config sections.
  - [iis_module](#iis_module) Manages modules globally or on a per site basis.

## Usage

### webdeploy::default

Include `webdeploy` in your node's `run_list`:

```json
{
  "run_list": [
    "recipe[webdeploy::default]"
  ]
}
```

## License and Authors

Author:: YadaYadaSoftware.com (<admin@YadaYadaSoftware.com>)
