#
# Cookbook Name:: cc_iis
# Recipe:: default
#
# Copyright (C) 2016 YadaYadaSoftware.com
#
# All rights reserved - Do Not Redistribute
#


template "#{node[:webdeploy][:webdeploy_setparameters_xmlfile_path]}" do
  source 'x.SetParameters.xml'
  variables(	:appname => "#{node[:webdeploy][:physical_path_suffix]}",
				:connectionStringName => "#{node[:webdeploy][:connection_string_name]}",
				:connectionStringValue => "#{node[:webdeploy][:connection_string_value]}"
 )
end

execute "iisstop" do
	timeout 7200
	command "C:/Windows/System32/iisreset.exe /stop"
	action :run
end

execute "runwebdeploy" do
	timeout 7200
	command "#{node[:webdeploy][:webdeploy_command_file]} /Y"
	action :run
end

execute "iisstart" do
	timeout 7200
	command "C:/Windows/System32/iisreset.exe /start"
	action :run
end

iis_pool "DefaultAppPool" do
  action :config
  pool_identity :NetworkService
end
