#
# Cookbook Name:: cc_iis
# Recipe:: default
#
# Copyright (C) 2016 YadaYadaSoftware.com
#
# All rights reserved - Do Not Redistribute
#
default['webdeploy']['iis_app_name'] = "Default Web Site"
default['webdeploy']['iis_pool_name'] = "DefaultPoolName"
default['webdeploy']['iis_app_path'] = "/DefaultAppPath"
default['webdeploy']['physical_path_suffix'] = "AppName"
default['webdeploy']['webdeploy_package_name'] = "package1"
default['webdeploy']['webdeploy_package_zipfile_name'] = "#{node['webdeploy']['webdeploy_package_name']}.zip"
default['webdeploy']['webdeploy_package_zipfile_local_path'] = "#{Chef::Config[:cache_path]}/#{node['webdeploy']['webdeploy_package_zipfile_name']}"
default['webdeploy']['webdeploy_package_bucket'] = "bucket1"
default['webdeploy']['webdeploy_package_zipfile_remote_path'] = "somewhere/#{node['webdeploy']['webdeploy_package_zipfile_name']}"
default['webdeploy']['webdeploy_package_zipfile_bucket_url'] = "https://s3.amazonaws.com/#{node['webdeploy']['webdeploy_package_bucket']}/#{node['webdeploy']['webdeploy_package_zipfile_remote_path']}"
default['webdeploy']['webdeploy_package_dir'] = "#{Chef::Config[:cache_path]}/#{node['webdeploy']['webdeploy_package_name']}"
default['webdeploy']['webdeploy_command_file'] = "#{node['webdeploy']['webdeploy_package_dir']}/#{node['webdeploy']['webdeploy_package_name']}.deploy.cmd"
default['webdeploy']['webdeploy_setparameters_xmlfile_path'] = "#{node['webdeploy']['webdeploy_package_dir']}/#{node['webdeploy']['physical_path_suffix']}.SetParameters.xml"

default['webdeploy']['sqlserver'] = "sqlserver"
default['webdeploy']['database'] = "database_name"
default['webdeploy']['connection_string_name'] = "ConnectionStringName"
default['webdeploy']['connection_string_value'] = "ConnectionStringValue"



